Name:		SHOUTcast_ICEcast
Version:	2.3.2
Release:	1
Summary:	Xiph Streaming media server that supports multiple formats.
Group:		Libraries
License:	GPL
URL:		http://www.icecast.org/
Source0:     	icecast-%{version}.tar.gz
Source1:	libshout-2.2.2.tar.gz
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	libshout icecast

%description
Icecast is a streaming media server which currently supports Ogg Vorbis 
and MP3 audio streams. It can be used to create an Internet radio 
station or a privately running jukebox and many things in between. 
It is very versatile in that new formats can be added relatively 
easily and supports open standards for commuincation and interaction.

This package also contains the Shoutcast libraries.

See both: http://www.icecast.org - http://www.shoutcast.com for info.

%package        devel
Group:          Development
Summary:        Library which can be used to write a source client like ices
Provides:	libshout-devel icecast-devel

%description    devel
Library which can be used to write a source client like ices

%prep
%setup -q -n icecast-%{version} -a 1

%build
%configure --disable-nls
make
cd libshout*;%configure --disable-nls;make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd libshout*;make DESTDIR=$RPM_BUILD_ROOT install;cp examples/.libs/* $RPM_BUILD_ROOT%{_datadir}/doc/libshout/
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
cd $RPM_BUILD_ROOT/usr/doc/%{name}-%{version};ln -sf ../../share/doc/icecast/* .;
ln -sf ../../share/doc/libshout .

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_sysconfdir}
%{_bindir}
%{_datadir}/doc
%{_datadir}/icecast
%{_docdir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_datadir}/aclocal
%{_includedir}
